Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
Class UnaryMinusExpression

author:
  sam

Field Summary
`Expression` | `expression`

Constructor Summary
`UnaryMinusExpression(Expression expression)`

Method Summary
`Expression` | `getExpression()`
`String` | `getText()`
`ClassNode` | `getType()`
`boolean` | `isDynamic()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### UnaryMinusExpression

    public UnaryMinusExpression(Expression expression)

Method Detail

### getExpression

    public Expression getExpression()

### getText

    public String getText()

### getType

    public ClassNode getType()

### isDynamic

    public boolean isDynamic()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)